> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jelou.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Eliminar integración

> Elimina tu integración con el panel de atención externo

<Warning>
  Esta acción es irreversible. Al eliminar la integración, Jelou dejará de enviar eventos a tu webhook. Para volver a integrar, deberás crear una nueva integración.
</Warning>

## Descripción

Elimina la integración entre Jelou y tu panel de atención externo para el proyecto indicado. Una vez eliminada, Jelou dejará de enviar eventos al webhook configurado.

## Endpoint

```
DELETE https://gateway.jelou.ai/platform/v1/external-support/{projectId}
```

## Parámetros de ruta

<ParamField path="projectId" type="string" required>
  Identificador único del proyecto de Jelou cuya integración se desea eliminar.
</ParamField>

## Autenticación

Todas las peticiones deben incluir el encabezado `x-api-key` con la API key del proyecto de Jelou.

```
x-api-key: API_KEY
```

## Ejemplo de solicitud

El siguiente ejemplo elimina la integración del proyecto `PROJECT_ID`. No se envía cuerpo en la petición:

```bash cURL theme={null}
curl --request DELETE \
  --url https://gateway.jelou.ai/platform/v1/external-support/PROJECT_ID \
  --header 'x-api-key: API_KEY'
```

## Respuestas

| Código | Estado                | Descripción                                             |
| ------ | --------------------- | ------------------------------------------------------- |
| 200    | OK                    | Integración eliminada exitosamente.                     |
| 401    | Unauthorized          | Credenciales de autenticación inválidas o faltantes.    |
| 404    | Not Found             | No existe una integración para el `projectId` indicado. |
| 500    | Internal Server Error | Error interno del servidor.                             |

## Ejemplo de respuesta

```json theme={null}
{
  "message": [
    "Integration deleted successfully"
  ],
  "statusMessage": "success",
  "status": 1
}
```


## OpenAPI

````yaml DELETE /v1/external-support/{projectId}
openapi: 3.1.0
info:
  title: Jelou API
  description: >-
    API for the Jelou platform. Send messages, manage campaigns, handle
    conversations, users, databases, and widgets.
  version: 1.0.0
servers:
  - url: https://api.jelou.ai
    description: Production server
security:
  - basicAuth: []
tags:
  - name: Messages
    description: Send messages to users
  - name: Campaigns
    description: HSM campaigns and templates
  - name: Conversations
    description: Chat history and metrics
  - name: Users
    description: User state and cache management
  - name: Resources
    description: Media resource management
  - name: Datum
    description: Database CRUD operations
  - name: Widget
    description: Widget and room management
  - name: PMA Custom
    description: External support panel integration
paths:
  /v1/external-support/{projectId}:
    servers:
      - url: https://gateway.jelou.ai/platform
        description: External Support Panel API
    delete:
      tags:
        - External Support Panel
      summary: Delete Integration
      description: >-
        Delete an external support panel integration. Jelou will stop sending
        events to the webhook and the signingSecret will be invalidated.
      operationId: deleteExternalSupport
      parameters:
        - name: projectId
          in: path
          required: true
          description: Unique identifier of the Jelou project
          schema:
            type: string
      responses:
        '200':
          description: Integration deleted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExternalSupportDeleteResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - apiKey: []
components:
  schemas:
    ExternalSupportDeleteResponse:
      type: object
      properties:
        message:
          type: array
          items:
            type: string
          example:
            - Integration deleted successfully.
        statusMessage:
          type: string
          example: success
        status:
          type: integer
          example: 1
    Error:
      type: object
      properties:
        message:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
        statusMessage:
          type: string
        status:
          type: integer
        error:
          type: object
          properties:
            code:
              type: string
            key:
              type: string
            description:
              type: string
            developerMessages:
              type: object
            clientMessages:
              type: object
        validationError:
          type: object
  responses:
    Unauthorized:
      description: Unauthorized - Invalid authentication credentials
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Not found - Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Basic authentication using Base64 encoded clientId:clientSecret
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API key del proyecto de Jelou

````